/*
 * Copyright (c) 2021, J2 Innovations. All Rights Reserved
 */
import { Kind, valueIsKind } from 'haystack-core';
export function isResolvableDict(value) {
    return (valueIsKind(value, Kind.Dict) &&
        value?.has('meta') &&
        !!value?.get('meta')?.has('resolveType'));
}
function isResolvable(value, resolveType) {
    return (isResolvableDict(value) &&
        value?.meta?.resolveType.value === resolveType);
}
export function isResolvablePoint(value) {
    return isResolvable(value, 'point');
}
export function isResolvableTag(value) {
    return (isResolvable(value, 'tag') &&
        valueIsKind(value?.meta?.readTag, Kind.Str));
}
//# sourceMappingURL=Resolvable.js.map